%define prefix /usr/X11R6

Summary: IceWm configurator
Name: icepref
Version: 1.1
Release: 7mdk
License: GPL
Group: Graphical desktop/Icewm
Source: icepref-%{version}.tar.bz2
Source1: icepref.bz2
Source2: icepref-16.xpm.bz2
Source3: icepref-32.xpm.bz2
Source4: icepref-48.xpm.bz2
Patch:   icepref-1.1-pygtk-wrapper.patch.bz2
BuildRoot:%{_tmppath}/icepref-build-%{version}
Requires: python gtk+ icewm-light /bin/sh
Requires: pygtk >= 0.6.11-2mdk
BuildArchitectures: noarch

%description
IcePref is a configuration utility for IceWM written in Python using the Gtk
widget set and the PyGTK bindings. It currently covers all of the
configuration options in the controlled by the preferences file for icewm.
This package works well with GNOME, but can also be used standalone.

%prep
%setup -n icepref
%patch

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
#bzcat %{SOURCE0}|tar x -C $RPM_BUILD_ROOT
cp -a icepref $RPM_BUILD_ROOT%{_bindir}

#menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/%{name}

#icon
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
## menu
if [ -x %{_bindir}/update-menus ]; then
  %{_bindir}/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x %{_bindir}/update-menus ]; then
      %{_bindir}/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE README FAQ
%{_menudir}/%{name}
%{_liconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_bindir}/icepref

%changelog
* Wed Apr  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-7mdk
- fix installation
- patch for new pygnome for gtk+1.2 that can coexist with pygtk2.0

* Wed Oct 16 2002 Florin <florin@mandrakesoft.com> 1.1-6mdk
- rebuild

* Fri Aug 10 2001 Florin <florin@mandrakesoft.com> 1.1-5mdk
- requires /bin/sh

* Thu Apr 11 2001 Florin <florin@mandrakesoft.com> 1.1-4mdk
- add requires on icewm-light

* Tue Sep 12 2000 Florin Grad <florin@mandrakesoft.com> 1.1-3mdk
- adding the 48 xpm and modified into transparent xpm

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 1.1-2mdk
- updating the macros entries

* Fri Aug 4 2000 Florin Grad <florin@mandrakesoft.com> 1.1-1mdk
- the 1.1 version

* Fri Jun 2 2000 Florin Grad <florin@mandrakesoft.com> 0.11-2mdk
- added requires python and pygtk

* Thu Jun 1 2000 Florin Grad <florin@mandrakesoft.com> 0.11-1mdk
- first attempt :)
